Package icyllis.arc3d.compiler.tree

# Enum Class Node.SymbolKind

java.lang.Object
java.lang.Enum<Node.SymbolKind>
icyllis.arc3d.compiler.tree.Node.SymbolKind

All Implemented Interfaces:
  `Serializable`, `Comparable<Node.SymbolKind>`, `Constable`

Enclosing class:
  `Node`

public static enum Node.SymbolKind extends Enum<Node.SymbolKind>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ANONYMOUS_FIELD`
  `FUNCTION_DECL`
  `TYPE`
  `VARIABLE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Class<? extends Symbol>`
  `getType()`
  `static Node.SymbolKind`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static Node.SymbolKind[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### ANONYMOUS_FIELD

    public static final Node.SymbolKind ANONYMOUS_FIELD

  - ### FUNCTION_DECL

    public static final Node.SymbolKind FUNCTION_DECL

  - ### TYPE

    public static final Node.SymbolKind TYPE

  - ### VARIABLE

    public static final Node.SymbolKind VARIABLE

- ## Method Details

  - ### values

    public static Node.SymbolKind[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static Node.SymbolKind valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getType

    public Class<? extends Symbol> getType()